relay_mmap_buf
Prev | relay interface | Next

## Name

relay_mmap_buf — mmap channel buffer to process address space

## Synopsis

`int relay_mmap_buf (` | struct rchan_buf * | buf,
| struct vm_area_struct * | vma`)`;

## Arguments

`buf`

  relay channel buffer

`vma`

  vm_area_struct describing memory to be mapped

## Description

Returns 0 if ok, negative on error

Caller should already have grabbed mmap_sem.

Prev | Up | Next
relay_flush | Home | relay_alloc_buf